Bug 1001698 - [abrt] supertuxkart-0.8-1.fc19: pushbuf_flush: Process /usr/bin/supertuxkart was killed by signal 11 (SIGSEGV)
Summary: [abrt] supertuxkart-0.8-1.fc19: pushbuf_flush: Process /usr/bin/supertuxkart ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cac8715118e4a5e5043c7ef2af5...
Depends On: 1002506 1006733
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-27 14:27 UTC by Elias Vanderstuyft
Modified: 2013-09-23 00:45 UTC (History)
4 users (show)

Fixed In Version: mesa-9.2-1.20130919.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-20 16:19:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (14.76 KB, text/plain)
2013-08-27 14:27 UTC, Elias Vanderstuyft
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-27 14:27 UTC, Elias Vanderstuyft
no flags Details
File: core_backtrace (3.16 KB, text/plain)
2013-08-27 14:27 UTC, Elias Vanderstuyft
no flags Details
File: dso_list (6.20 KB, text/plain)
2013-08-27 14:27 UTC, Elias Vanderstuyft
no flags Details
File: environ (3.10 KB, text/plain)
2013-08-27 14:27 UTC, Elias Vanderstuyft
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-27 14:27 UTC, Elias Vanderstuyft
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-27 14:27 UTC, Elias Vanderstuyft
no flags Details
File: maps (29.96 KB, text/plain)
2013-08-27 14:27 UTC, Elias Vanderstuyft
no flags Details
File: open_fds (226 bytes, text/plain)
2013-08-27 14:28 UTC, Elias Vanderstuyft
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-08-27 14:28 UTC, Elias Vanderstuyft
no flags Details
File: var_log_messages (1.45 KB, text/plain)
2013-08-27 14:28 UTC, Elias Vanderstuyft
no flags Details


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 68665 0 None None None Never
Red Hat Bugzilla 1001714 0 unspecified CLOSED [abrt] xonotic-0.7.0-1.fc19: ft_mem_qalloc: Process /usr/bin/xonotic-sdl was killed by signal 6 (SIGABRT) 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1001740 0 unspecified CLOSED [abrt] extremetuxracer-0.4-12.fc19: pushbuf_dump: Process /usr/bin/etracer was killed by signal 11 (SIGSEGV) 2021-02-22 00:41:40 UTC

Internal Links: 1001714 1001740

Description Elias Vanderstuyft 2013-08-27 14:27:34 UTC
Description of problem:
Turning AA (x2) on using the nouveau driver on a Nvidia GTX 760.

Version-Release number of selected component:
supertuxkart-0.8-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 3
cmdline:        supertuxkart --log=file
crash_function: pushbuf_flush
executable:     /usr/bin/supertuxkart
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 pushbuf_flush at pushbuf.c:425
 #1 nouveau_pushbuf_kick at pushbuf.c:773
 #2 PUSH_KICK at ../../../../src/gallium/drivers/nouveau/nouveau_winsys.h:56
 #3 nvc0_flush at nvc0_context.c:45
 #4 st_glFlush at ../../src/mesa/state_tracker/st_cb_flush.c:121
 #5 ??
 #6 ??
 #7 GUIEngine::init at guiengine/engine.cpp:1037
 #8 initRest at main.cpp:1097

Comment 1 Elias Vanderstuyft 2013-08-27 14:27:38 UTC
Created attachment 791002 [details]
File: backtrace

Comment 2 Elias Vanderstuyft 2013-08-27 14:27:40 UTC
Created attachment 791003 [details]
File: cgroup

Comment 3 Elias Vanderstuyft 2013-08-27 14:27:43 UTC
Created attachment 791004 [details]
File: core_backtrace

Comment 4 Elias Vanderstuyft 2013-08-27 14:27:46 UTC
Created attachment 791005 [details]
File: dso_list

Comment 5 Elias Vanderstuyft 2013-08-27 14:27:49 UTC
Created attachment 791006 [details]
File: environ

Comment 6 Elias Vanderstuyft 2013-08-27 14:27:52 UTC
Created attachment 791007 [details]
File: exploitable

Comment 7 Elias Vanderstuyft 2013-08-27 14:27:55 UTC
Created attachment 791008 [details]
File: limits

Comment 8 Elias Vanderstuyft 2013-08-27 14:27:58 UTC
Created attachment 791009 [details]
File: maps

Comment 9 Elias Vanderstuyft 2013-08-27 14:28:02 UTC
Created attachment 791010 [details]
File: open_fds

Comment 10 Elias Vanderstuyft 2013-08-27 14:28:06 UTC
Created attachment 791011 [details]
File: proc_pid_status

Comment 11 Elias Vanderstuyft 2013-08-27 14:28:09 UTC
Created attachment 791012 [details]
File: var_log_messages

Comment 12 Igor Gnatenko 2013-08-28 14:26:06 UTC
I think problem in mesa.

Comment 13 Igor Gnatenko 2013-09-05 06:04:04 UTC
Update was pushed to stable. Update please. If you will have again this problem - reopen please.

Comment 14 Elias Vanderstuyft 2013-09-05 08:14:44 UTC
Retested with mesa-9.2-1.20130902.fc19, problem persists. (the same bug report title, but I did not send a new bug report)

Comment 15 Igor Gnatenko 2013-09-05 11:08:38 UTC
Test this build please: http://koji.fedoraproject.org/koji/taskinfo?taskID=5898642

Comment 16 Elias Vanderstuyft 2013-09-06 18:32:13 UTC
I can confirm the bug is fixed with the x86_64 packages from http://koji.fedoraproject.org/koji/taskinfo?taskID=5898642
Tested with all AA options: off, x2, x4 and x8
No crashes (or graphical glitches.)

Comment 17 Igor Gnatenko 2013-09-06 18:36:13 UTC
Ok. informed upstream. Take this bug.

Comment 18 Igor Gnatenko 2013-09-11 07:37:07 UTC
please test: http://koji.fedoraproject.org/koji/taskinfo?taskID=5921732

Comment 19 Elias Vanderstuyft 2013-09-18 10:45:35 UTC
I can confirm the bug is fixed with the x86_64 packages from http://koji.fedoraproject.org/koji/taskinfo?taskID=5921732
Tested with all AA options: off, x2, x4 and x8
No crashes (or graphical glitches.)

Comment 20 Igor Gnatenko 2013-09-18 17:44:50 UTC
Many thanks for reporting and testing. Waiting for bug 1006733.

Comment 21 Fedora Update System 2013-09-19 08:02:56 UTC
mesa-9.2-1.20130919.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mesa-9.2-1.20130919.fc19

Comment 22 Fedora Update System 2013-09-19 08:20:07 UTC
mesa-9.2-1.20130919.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mesa-9.2-1.20130919.fc20

Comment 23 Fedora Update System 2013-09-19 18:32:42 UTC
Package mesa-9.2-1.20130919.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mesa-9.2-1.20130919.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17132/mesa-9.2-1.20130919.fc20
then log in and leave karma (feedback).

Comment 24 Elias Vanderstuyft 2013-09-20 08:57:46 UTC
I can confirm the bug is fixed with the x86_64 packages from http://koji.fedoraproject.org/koji/buildinfo?buildID=465600
Tested with all AA options: off, x2, x4 and x8
No crashes (or graphical glitches.)

Comment 25 Igor Gnatenko 2013-09-20 08:59:00 UTC
Thanks for reporting and testing

Comment 26 Fedora Update System 2013-09-20 16:19:44 UTC
mesa-9.2-1.20130919.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2013-09-23 00:45:20 UTC
mesa-9.2-1.20130919.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.